# ReflectionClass::getConstants

(PHP 5, PHP 7)

ReflectionClass::getConstants — Gets constants

### Description

public ReflectionClass::getConstants ( void ) : array

Gets all defined constants from a class, regardless of their visibility.

### Parameters

This function has no parameters.

### Return Values

An array of constants, where the keys hold the name and the values the value of the constants.

### See Also

- ReflectionClass::getConstant() - Gets defined constant